Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deTRedBlack< T >::TRBNode Class Reference

Collaboration diagram for deTRedBlack< T >::TRBNode:

[legend]
List of all members.

## Public Types
enum | Color_t { Red, Black }
## Public Member Functions
| TRBNode ()
| TRBNode (const T &ref)
| TRBNode (const TRBNode &ref)
| ~TRBNode ()
bool | operator== (const T &ref)
bool | operator> (const T &ref)
bool | operator< (const T &ref)
void | CopyPtrs (const TRBNode *ref)
template<class _Ty> void | Swap (_Ty &_X, _Ty &_Y)
void | SwapWith (TRBNode *Swapper, TRBNode *&Root)
void | Destroy ()
void | AddDataToList (deTList< T * > &list)
## Public Attributes
TRBNode * | Left
TRBNode * | Right
TRBNode * | Parent
enum deTRedBlack::TRBNode::Color_t | Color
deTRedBlack * | Tree
T | Data

### template<class T>
class deTRedBlack< T >::TRBNode

## Member Enumeration Documentation

template<class T>
enum deTRedBlack::TRBNode::Color_t

  | Enumeration values:
  Red |
  Black |

## Constructor & Destructor Documentation

template<class T>
deTRedBlack< T >::TRBNode::TRBNode | ( |  | ) | `[inline, explicit]`

template<class T>
deTRedBlack< T >::TRBNode::TRBNode | ( | const T & | ref | ) | `[inline]`

template<class T>
deTRedBlack< T >::TRBNode::TRBNode | ( | const TRBNode & | ref | ) | `[inline]`

template<class T>
deTRedBlack< T >::TRBNode::~TRBNode | ( |  | ) | `[inline]`

## Member Function Documentation

template<class T>
void deTRedBlack< T >::TRBNode::AddDataToList | ( | deTList< T * > & | list | ) | `[inline]`

template<class T>
void deTRedBlack< T >::TRBNode::CopyPtrs | ( | const TRBNode * | ref | ) | `[inline]`

template<class T>
void deTRedBlack< T >::TRBNode::Destroy | ( |  | ) | `[inline]`

template<class T>
bool deTRedBlack< T >::TRBNode::operator< | ( | const T & | ref | ) | `[inline]`

template<class T>
bool deTRedBlack< T >::TRBNode::operator== | ( | const T & | ref | ) | `[inline]`

template<class T>
bool deTRedBlack< T >::TRBNode::operator> | ( | const T & | ref | ) | `[inline]`

template<class T>
template<class _Ty>
void deTRedBlack< T >::TRBNode::Swap | ( | _Ty & | _X,
|  | _Ty & | _Y
| ) | `[inline]`

template<class T>
void deTRedBlack< T >::TRBNode::SwapWith | ( | TRBNode * | Swapper,
|  | TRBNode *& | Root
| ) | `[inline]`

## Member Data Documentation

template<class T>
enum deTRedBlack::TRBNode::Color_t deTRedBlack< T >::TRBNode::Color

template<class T>
T deTRedBlack< T >::TRBNode::Data

template<class T>
TRBNode* deTRedBlack< T >::TRBNode::Left

template<class T>
TRBNode* deTRedBlack< T >::TRBNode::Parent

template<class T>
TRBNode * deTRedBlack< T >::TRBNode::Right

template<class T>
deTRedBlack* deTRedBlack< T >::TRBNode::Tree

The documentation for this class was generated from the following file:

- deRedBlack.hpp